@echo off
setlocal

echo.
echo ^> adpack -unpack -in testTst.zip -force -verify sample\\tst_verify.bat -list
echo.
echo # -in testTst.zip                : input zip file is "testTst.zip".
echo # -force                         : overwrite output extract files.
echo # -verify sample\\tst_verify.bat : verify execute for timestamp.
echo # -list                          : show all file names.
echo.
echo ---(execute adpack)------------------
echo.

adpack -unpack -in testTst.zip -force -verify sample\\tst_verify.bat -list
if errorlevel 1 (goto ERROR)

echo.
echo ---(end adpack)----------------------
echo.
echo # test_unpack_timestamp.bat done.
@echo off
endlocal
exit /b 0

:ERROR
echo.
echo ---(error adpack)--------------------
echo.
echo # test_unpack_timestamp.bat error exit.
@echo off
endlocal
exit /b 1
